Upstream information

CVE-2018-20712 at MITRE

Description

A heap-based buffer over-read exists in the function d_expression_1 in cp-demangle.c in GNU libiberty, as distributed in GNU Binutils 2.31.1. A crafted input can cause segmentation faults, leading to denial-of-service, as demonstrated by c++filt.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 3.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1121990 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 binutils Not affected
SUSE Linux Enterprise Desktop 15 SP5 binutils Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 binutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 binutils Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 binutils Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 binutils Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 binutils Not affected
SUSE Linux Enterprise Real Time 15 SP3 binutils Not affected
SUSE Linux Enterprise Server 12 SP5 binutils Not affected
SUSE Linux Enterprise Server 12-LTSS binutils Not affected
SUSE Linux Enterprise Server 15 SP5 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 binutils Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 binutils Not affected
SUSE Manager Proxy 4.3 binutils Not affected
SUSE Manager Retail Branch Server 4.3 binutils Not affected
SUSE Manager Server 4.3 binutils Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS binutils Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS binutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 binutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 binutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 binutils Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 binutils Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 binutils Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 binutils Not affected
SUSE Linux Enterprise Server 12 SP2-BCL binutils Not affected
SUSE Linux Enterprise Server 15 SP2 binutils Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS binutils Not affected
SUSE Linux Enterprise Server 15 SP3 binutils Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS binutils Not affected
SUSE Linux Enterprise Server 15 SP4 binutils Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS binutils Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 binutils Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 15 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 binutils Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 binutils Not affected
Magnum Orchestration 7 binutils Not affected
SLES for SAP Applications 11 SP3 binutils Not affected
SUSE CaaS Platform 4.0 binutils Not affected
SUSE CaaS Platform 4.5 binutils Not affected
SUSE Enterprise Storage 6 binutils Not affected
SUSE Enterprise Storage 7 binutils Not affected
SUSE Linux Enterprise Desktop 11 SP4 binutils Not affected
SUSE Linux Enterprise Desktop 12 binutils Not affected
SUSE Linux Enterprise Desktop 12 SP1 binutils Not affected
SUSE Linux Enterprise Desktop 12 SP2 binutils Not affected
SUSE Linux Enterprise Desktop 12 SP3 binutils Not affected
SUSE Linux Enterprise Desktop 12 SP4 binutils Not affected
SUSE Linux Enterprise Desktop 15 binutils Not affected
SUSE Linux Enterprise Desktop 15 SP1 binutils Not affected
SUSE Linux Enterprise Desktop 15 SP2 binutils Not affected
SUSE Linux Enterprise Desktop 15 SP3 binutils Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 binutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 binutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 binutils Not affected
SUSE Linux Enterprise Module for Development Tools 15 binutils Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 binutils Not affected
SUSE Linux Enterprise Module for Package Hub 15 binutils Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 binutils Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP2 binutils Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 binutils Not affected
SUSE Linux Enterprise Real Time 15 SP2 binutils Not affected
SUSE Linux Enterprise Real Time 15 SP4 binutils Not affected
SUSE Linux Enterprise Server 11 SP1 binutils Not affected
SUSE Linux Enterprise Server 11 SP3 binutils Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS binutils Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS binutils Not affected
SUSE Linux Enterprise Server 11 SP4 binutils Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS binutils Not affected
SUSE Linux Enterprise Server 12 binutils Not affected
SUSE Linux Enterprise Server 12 SP1 binutils Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS binutils Not affected
SUSE Linux Enterprise Server 12 SP2 binutils Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS binutils Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS binutils Not affected
SUSE Linux Enterprise Server 12 SP3 binutils Not affected
SUSE Linux Enterprise Server 12 SP3-BCL binutils Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS binutils Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS binutils Not affected
SUSE Linux Enterprise Server 12 SP4 binutils Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS binutils Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS binutils Not affected
SUSE Linux Enterprise Server 15 binutils Not affected
SUSE Linux Enterprise Server 15 SP1 binutils Not affected
SUSE Linux Enterprise Server 15 SP1-BCL binutils Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS binutils Not affected
SUSE Linux Enterprise Server 15 SP2-BCL binutils Not affected
SUSE Linux Enterprise Server 15 SP3-BCL binutils Not affected
SUSE Linux Enterprise Server 15-LTSS binutils Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 12 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 binutils Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 binutils Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 binutils Not affected
SUSE Linux Enterprise Software Development Kit 12 binutils Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 binutils Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 binutils Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 binutils Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 binutils Not affected
SUSE Manager Proxy 4.0 binutils Not affected
SUSE Manager Proxy 4.1 binutils Not affected
SUSE Manager Proxy 4.2 binutils Not affected
SUSE Manager Retail Branch Server 4.0 binutils Not affected
SUSE Manager Retail Branch Server 4.1 binutils Not affected
SUSE Manager Retail Branch Server 4.2 binutils Not affected
SUSE Manager Server 4.0 binutils Not affected
SUSE Manager Server 4.1 binutils Not affected
SUSE Manager Server 4.2 binutils Not affected
SUSE OpenStack Cloud 7 binutils Not affected
SUSE OpenStack Cloud 8 binutils Not affected
SUSE OpenStack Cloud 9 binutils Not affected
SUSE OpenStack Cloud Crowbar 8 binutils Not affected
SUSE OpenStack Cloud Crowbar 9 binutils Not affected
Container Status
bci/bci-sle15-kernel-module-devel
bci/golang
bci/golang:1.16
bci/golang:1.17
bci/golang:1.18
bci/golang:1.19
bci/golang:1.20
bci/golang:1.20-openssl
bci/ruby
bci/rust
bci/rust:1.59
bci/rust:1.60
bci/rust:1.61
bci/rust:1.62
bci/rust:1.63
bci/rust:1.64
bci/rust:1.65
bci/rust:1.66
bci/rust:1.67
bci/rust:1.68
bci/rust:1.74
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7.1/cephcsi/cephcsi
ses/7.1/rook/ceph
ses/7/ceph/ceph
ses/7/cephcsi/cephcsi
ses/7/rook/ceph
trento/trento-runner
trento/trento-wanda
binutilsNot affected


SUSE Timeline for this CVE

CVE page created: Tue Jan 15 07:00:47 2019
CVE page last modified: Thu Feb 22 17:02:52 2024